Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.project.validator
Class ValidationInfo

    java.lang.Object
      org.objectstyle.cayenne.project.validator.ValidationInfo

    public class ValidationInfo

extends java.lang.Object

ValidationInfo encapsulates information about a single node validation on the project tree.

Author:
  Andrei Adamchik

Field Summary
`static int` | `ERROR`
`protected java.lang.String` | `message`
`protected ProjectPath` | `path`
`protected int` | `severity`
`static int` | `VALID`
`static int` | `WARNING`

Constructor Summary
`ValidationInfo(int severity, java.lang.String message, ProjectPath path)` Constructor for ValidationInfo.

Method Summary
`java.lang.String` | `getMessage()` Returns the message.
`ProjectPath` | `getPath()` Returns the ProjectPath object identifing a location described by this ValidationInfo.
`int` | `getSeverity()` Returns the severity.
`java.lang.Object` | `getValidatedObject()`
`java.lang.Object` | `getValidatedObjectParent()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALID

    public static final int VALID

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### path

    protected ProjectPath path

### message

    protected java.lang.String message

### severity

    protected int severity

Constructor Detail

### ValidationInfo

    public ValidationInfo(int severity,
                          java.lang.String message,
                          ProjectPath path)

  Constructor for ValidationInfo.

Method Detail

### getValidatedObject

    public java.lang.Object getValidatedObject()

### getValidatedObjectParent

    public java.lang.Object getValidatedObjectParent()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMessage

    public java.lang.String getMessage()

  Returns the message.

  Returns:
    String

### getSeverity

    public int getSeverity()

  Returns the severity.

  Returns:
    int

### getPath

    public ProjectPath getPath()

  Returns the ProjectPath object identifing a location described by this ValidationInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.